Replace an enterprise
Replace the enterprise’s mutable fields. Only mutable fields may be sent. Server-assigned and immutable fields (id, record_type, created_at, updated_at, status fields, organization_type, country_code, role_type) cannot be changed: including any of them in the body is rejected with 400 Bad Request (Field 'X' is not allowed in this request).
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const enterprise = await client.enterprises.update('4a6192a4-573d-446d-b3ce-aff9117272a6', {
billing_address: {
country: 'US',
administrative_area: 'IL',
city: 'Chicago',
postal_code: '60601',
street_address: '100 Main St',
},
billing_contact: {
first_name: 'Alex',
last_name: 'Bill',
email: 'billing@acmeplumbing.example.com',
phone_number: '+13125550001',
},
customer_reference: 'internal-ref-2026Q2',
doing_business_as: 'Acme Plumbing',
fein: '12-3456789',
industry: 'business',
jurisdiction_of_incorporation: 'Delaware',
legal_name: 'Acme Plumbing LLC',
number_of_employees: '51-200',
organization_contact: {
first_name: 'Sam',
last_name: 'Owner',
email: 'sam@acmeplumbing.example.com',
job_title: 'Compliance Lead',
phone_number: '+13125550000',
},
organization_legal_type: 'llc',
organization_physical_address: {
country: 'US',
administrative_area: 'IL',
city: 'Chicago',
postal_code: '60601',
street_address: '100 Main St',
},
website: 'https://acmeplumbing.example.com',
});
console.log(enterprise.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
enterprise = client.enterprises.update(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
billing_address={
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
},
billing_contact={
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001",
},
customer_reference="internal-ref-2026Q2",
doing_business_as="Acme Plumbing",
fein="12-3456789",
industry="business",
jurisdiction_of_incorporation="Delaware",
legal_name="Acme Plumbing LLC",
number_of_employees="51-200",
organization_contact={
"first_name": "Sam",
"last_name": "Owner",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000",
},
organization_legal_type="llc",
organization_physical_address={
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
},
website="https://acmeplumbing.example.com",
)
print(enterprise.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
enterprise, err := client.Enterprises.Update(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseUpdateParams{
BillingAddress: telnyx.BillingAddressParam{
Country: "US",
AdministrativeArea: "IL",
City: "Chicago",
PostalCode: "60601",
StreetAddress: "100 Main St",
},
BillingContact: telnyx.BillingContactParam{
FirstName: "Alex",
LastName: "Bill",
Email: "billing@acmeplumbing.example.com",
PhoneNumber: "+13125550001",
},
CustomerReference: telnyx.String("internal-ref-2026Q2"),
DoingBusinessAs: telnyx.String("Acme Plumbing"),
Fein: telnyx.String("12-3456789"),
Industry: telnyx.EnterpriseUpdateParamsIndustryBusiness,
JurisdictionOfIncorporation: telnyx.String("Delaware"),
LegalName: telnyx.String("Acme Plumbing LLC"),
NumberOfEmployees: telnyx.String("51-200"),
OrganizationContact: telnyx.OrganizationContactParam{
FirstName: "Sam",
LastName: "Owner",
Email: "sam@acmeplumbing.example.com",
JobTitle: "Compliance Lead",
PhoneNumber: "+13125550000",
},
OrganizationLegalType: telnyx.String("llc"),
OrganizationPhysicalAddress: telnyx.PhysicalAddressParam{
Country: "US",
AdministrativeArea: "IL",
City: "Chicago",
PostalCode: "60601",
StreetAddress: "100 Main St",
},
Website: telnyx.String("https://acmeplumbing.example.com"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", enterprise.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.EnterpriseUpdateParams;
import com.telnyx.sdk.models.enterprises.EnterpriseUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
EnterpriseUpdateResponse enterprise = client.enterprises().update("4a6192a4-573d-446d-b3ce-aff9117272a6");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
enterprise = telnyx.enterprises.update("4a6192a4-573d-446d-b3ce-aff9117272a6")
puts(enterprise)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$enterprise = $client->enterprises->update(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
billingAddress: [
'administrativeArea' => 'IL',
'city' => 'Chicago',
'country' => 'US',
'postalCode' => '60601',
'streetAddress' => '100 Main St',
'extendedAddress' => 'Suite 504',
],
billingContact: [
'email' => 'billing@acmeplumbing.example.com',
'firstName' => 'Alex',
'lastName' => 'Bill',
'phoneNumber' => '+13125550001',
],
corporateRegistrationNumber: 'corporate_registration_number',
customerReference: 'internal-ref-2026Q2',
doingBusinessAs: 'Acme Plumbing',
dunBradstreetNumber: 'dun_bradstreet_number',
fein: '12-3456789',
industry: 'business',
jurisdictionOfIncorporation: 'Delaware',
legalName: 'Acme Plumbing LLC',
numberOfEmployees: '51-200',
organizationContact: [
'email' => 'sam@acmeplumbing.example.com',
'firstName' => 'Sam',
'jobTitle' => 'Compliance Lead',
'lastName' => 'Owner',
'phoneNumber' => '+13125550000',
],
organizationLegalType: 'llc',
organizationPhysicalAddress: [
'administrativeArea' => 'IL',
'city' => 'Chicago',
'country' => 'US',
'postalCode' => '60601',
'streetAddress' => '100 Main St',
'extendedAddress' => 'Suite 504',
],
primaryBusinessDomainSicCode: 'primary_business_domain_sic_code',
professionalLicenseNumber: 'professional_license_number',
website: 'https://acmeplumbing.example.com',
);
var_dump($enterprise);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises update \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request PUT \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legal_name": "Acme Plumbing LLC",
"doing_business_as": "Acme Plumbing",
"organization_legal_type": "llc",
"industry": "business",
"number_of_employees": "51-200",
"jurisdiction_of_incorporation": "Delaware",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"customer_reference": "internal-ref-2026Q2",
"organization_contact": {
"first_name": "Sam",
"last_name": "Owner",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St"
}
}
'{
"data": {
"id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"legal_name": "Acme Plumbing LLC",
"organization_type": "commercial",
"country_code": "US",
"role_type": "enterprise",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"industry": "technology",
"number_of_employees": "51-200",
"organization_legal_type": "llc",
"doing_business_as": "Acme Plumbing",
"jurisdiction_of_incorporation": "Delaware",
"customer_reference": "internal-id-12345",
"primary_business_domain_sic_code": null,
"corporate_registration_number": null,
"professional_license_number": null,
"dun_bradstreet_number": null,
"organization_contact": {
"first_name": "Sam",
"last_name": "Org",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z",
"branded_calling_enabled": true,
"number_reputation_enabled": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The enterprise id. Lowercase UUID.
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Body
All fields are optional; only the ones supplied are updated. The same field-level rules from EnterpriseCreateRequest apply.
Legal name of the enterprise.
3 - 64255accounting, finance, billing, collections, business, charity, nonprofit, communications, telecom, customer service, support, delivery, shipping, logistics, education, financial, banking, government, public, healthcare, health, pharmacy, medical, insurance, legal, law, notifications, scheduling, real estate, property, retail, ecommerce, sales, marketing, software, technology, tech, media, surveys, market research, travel, hospitality, hotel 255255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Updated state/province/country of incorporation. Optional on update.
255"Delaware"
Response
Enterprise updated.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const enterprise = await client.enterprises.update('4a6192a4-573d-446d-b3ce-aff9117272a6', {
billing_address: {
country: 'US',
administrative_area: 'IL',
city: 'Chicago',
postal_code: '60601',
street_address: '100 Main St',
},
billing_contact: {
first_name: 'Alex',
last_name: 'Bill',
email: 'billing@acmeplumbing.example.com',
phone_number: '+13125550001',
},
customer_reference: 'internal-ref-2026Q2',
doing_business_as: 'Acme Plumbing',
fein: '12-3456789',
industry: 'business',
jurisdiction_of_incorporation: 'Delaware',
legal_name: 'Acme Plumbing LLC',
number_of_employees: '51-200',
organization_contact: {
first_name: 'Sam',
last_name: 'Owner',
email: 'sam@acmeplumbing.example.com',
job_title: 'Compliance Lead',
phone_number: '+13125550000',
},
organization_legal_type: 'llc',
organization_physical_address: {
country: 'US',
administrative_area: 'IL',
city: 'Chicago',
postal_code: '60601',
street_address: '100 Main St',
},
website: 'https://acmeplumbing.example.com',
});
console.log(enterprise.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
enterprise = client.enterprises.update(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
billing_address={
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
},
billing_contact={
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001",
},
customer_reference="internal-ref-2026Q2",
doing_business_as="Acme Plumbing",
fein="12-3456789",
industry="business",
jurisdiction_of_incorporation="Delaware",
legal_name="Acme Plumbing LLC",
number_of_employees="51-200",
organization_contact={
"first_name": "Sam",
"last_name": "Owner",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000",
},
organization_legal_type="llc",
organization_physical_address={
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
},
website="https://acmeplumbing.example.com",
)
print(enterprise.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
enterprise, err := client.Enterprises.Update(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseUpdateParams{
BillingAddress: telnyx.BillingAddressParam{
Country: "US",
AdministrativeArea: "IL",
City: "Chicago",
PostalCode: "60601",
StreetAddress: "100 Main St",
},
BillingContact: telnyx.BillingContactParam{
FirstName: "Alex",
LastName: "Bill",
Email: "billing@acmeplumbing.example.com",
PhoneNumber: "+13125550001",
},
CustomerReference: telnyx.String("internal-ref-2026Q2"),
DoingBusinessAs: telnyx.String("Acme Plumbing"),
Fein: telnyx.String("12-3456789"),
Industry: telnyx.EnterpriseUpdateParamsIndustryBusiness,
JurisdictionOfIncorporation: telnyx.String("Delaware"),
LegalName: telnyx.String("Acme Plumbing LLC"),
NumberOfEmployees: telnyx.String("51-200"),
OrganizationContact: telnyx.OrganizationContactParam{
FirstName: "Sam",
LastName: "Owner",
Email: "sam@acmeplumbing.example.com",
JobTitle: "Compliance Lead",
PhoneNumber: "+13125550000",
},
OrganizationLegalType: telnyx.String("llc"),
OrganizationPhysicalAddress: telnyx.PhysicalAddressParam{
Country: "US",
AdministrativeArea: "IL",
City: "Chicago",
PostalCode: "60601",
StreetAddress: "100 Main St",
},
Website: telnyx.String("https://acmeplumbing.example.com"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", enterprise.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.EnterpriseUpdateParams;
import com.telnyx.sdk.models.enterprises.EnterpriseUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
EnterpriseUpdateResponse enterprise = client.enterprises().update("4a6192a4-573d-446d-b3ce-aff9117272a6");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
enterprise = telnyx.enterprises.update("4a6192a4-573d-446d-b3ce-aff9117272a6")
puts(enterprise)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$enterprise = $client->enterprises->update(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
billingAddress: [
'administrativeArea' => 'IL',
'city' => 'Chicago',
'country' => 'US',
'postalCode' => '60601',
'streetAddress' => '100 Main St',
'extendedAddress' => 'Suite 504',
],
billingContact: [
'email' => 'billing@acmeplumbing.example.com',
'firstName' => 'Alex',
'lastName' => 'Bill',
'phoneNumber' => '+13125550001',
],
corporateRegistrationNumber: 'corporate_registration_number',
customerReference: 'internal-ref-2026Q2',
doingBusinessAs: 'Acme Plumbing',
dunBradstreetNumber: 'dun_bradstreet_number',
fein: '12-3456789',
industry: 'business',
jurisdictionOfIncorporation: 'Delaware',
legalName: 'Acme Plumbing LLC',
numberOfEmployees: '51-200',
organizationContact: [
'email' => 'sam@acmeplumbing.example.com',
'firstName' => 'Sam',
'jobTitle' => 'Compliance Lead',
'lastName' => 'Owner',
'phoneNumber' => '+13125550000',
],
organizationLegalType: 'llc',
organizationPhysicalAddress: [
'administrativeArea' => 'IL',
'city' => 'Chicago',
'country' => 'US',
'postalCode' => '60601',
'streetAddress' => '100 Main St',
'extendedAddress' => 'Suite 504',
],
primaryBusinessDomainSicCode: 'primary_business_domain_sic_code',
professionalLicenseNumber: 'professional_license_number',
website: 'https://acmeplumbing.example.com',
);
var_dump($enterprise);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises update \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request PUT \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legal_name": "Acme Plumbing LLC",
"doing_business_as": "Acme Plumbing",
"organization_legal_type": "llc",
"industry": "business",
"number_of_employees": "51-200",
"jurisdiction_of_incorporation": "Delaware",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"customer_reference": "internal-ref-2026Q2",
"organization_contact": {
"first_name": "Sam",
"last_name": "Owner",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St"
}
}
'{
"data": {
"id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"legal_name": "Acme Plumbing LLC",
"organization_type": "commercial",
"country_code": "US",
"role_type": "enterprise",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"industry": "technology",
"number_of_employees": "51-200",
"organization_legal_type": "llc",
"doing_business_as": "Acme Plumbing",
"jurisdiction_of_incorporation": "Delaware",
"customer_reference": "internal-id-12345",
"primary_business_domain_sic_code": null,
"corporate_registration_number": null,
"professional_license_number": null,
"dun_bradstreet_number": null,
"organization_contact": {
"first_name": "Sam",
"last_name": "Org",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z",
"branded_calling_enabled": true,
"number_reputation_enabled": true
}
}